Subject: Re: [PATCH 4/16] ps3: system bus minor mmio fix

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 30 Jan 2007 07:16:01 +1100

On Mon, 2007-01-29 at 11:32 -0800, Geoff Levand wrote:
> Christoph Hellwig wrote:
> > On Sun, Jan 28, 2007 at 07:06:57AM +1100, Benjamin Herrenschmidt wrote:
> >> Note that I personally think that drivers/ps3 is a very wrong place for
> >> the ps3 system bus. It should stay in arch/powerpc/platform/ps3
> > 
> > Yes, absolutely.  We should not spreads things all over the tree do
> > make understanding the code even more difficult than all the lv1
> > braindamage already makes it.
> 
> I'm really disappointed that you both feel that way.  Why didn't you say so several
> months ago when I first posted that?  

I overlooked it. It's not the end of the world, easy enough to move
them. Sorry about that.

> I also don't think it is a good place, since
> I need to expose a bunch of platform specifics in asm-powerpc/ps3.h, which would
> better stay in my platform/ps3/platform.h.  When I had that stuff in the platform
> directory there was criticism that it shouldn't go there, so I moved it out.  I'll
> make a patch for RFC and see what happens.

Ben.